package com.boman.gen.service;

import com.boman.domain.GenTableRelation;

import java.util.List;

/**
 * @author tjf
 * @Date: 2021/03/25/16:14
 */
public interface IGenTableRelationService {

    /**
     * 查询列表
     * @param genTableRelation
     * @return
     */
    public List<GenTableRelation> selectGenTableRelationList(GenTableRelation genTableRelation);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    public GenTableRelation selectGenTableRelationById(Long id);


    /**
     * 新增
     * @param genTableRelation
     * @return
     */
    public int insertGenTableRelation(GenTableRelation genTableRelation);

    /**
     * 修改
     * @param genTableRelation
     * @return
     */
    public int updateGenTableRelation(GenTableRelation genTableRelation);

    /**
     * 删除
     * @param ids
     * @return
     */
    public int deleteGenTableRelation(Long[] ids);

}
